1.2

1.2

get /v1/baremetals/{baremetal_id}

Description

Show Bare Metal Server.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbaremetal_id
required
Bare Metal Server ID
Example : 20c507a036c447cdb3b19468d8ea62ac
stringNone

Responses

HTTP CodeDescriptionSchema
200OKBaremetalShowResponseV1Dot2
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/baremetals/{baremetal_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.2"

Example HTTP response

Response 200

{
    "id": "20c507a036c447cdb3b19468d8ea62ac",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
    "account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
    "region_id": "kr-west1",
    "server_name": "bmserver-001",
    "lock_enabled": true,
    "root_account": "rootaccount",
    "time_zone": "Asia/Seoul",
    "vpc_id": "e58348b1bc9148e5af86500fd4ef99ca",
    "network_id": "ab313c43291e4b678f4bacffe10768ae",
    "policy_ip": "192.168.0.1",
    "use_local_subnet": true,
    "local_subnet_info": [
        {
            "local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
            "policy_local_subnet_ip": "192.168.0.1",
            "vlan_id": 500,
            "vni_role_name": "mgmtJ4dzQBo",
            "interface_name": "ens8f1,bond_serv.2",
            "state": "CREATING"
        }
    ],
    "product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
    "server_type": "s1v8m32_metal",
    "image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
    "image_version": "RHEL 8.7 for BM",
    "state": "RUNNING",
    "init_script": "init script",
    "hyper_threading_use": true,
    "os_type": "WINDOWS",
    "placement_group_name": "pgtest",
    "private_nat_info": {
        "nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
        "nat_ip_id": "20c507a036c447cdb3b19468d8ea62ac",
        "nat_ip": "192.170.2.10",
        "static_nat_id": "a1b97ae4695b40b0866e86a19cb191d3",
        "state": "ACTIVE"
    },
    "public_nat_info": {
        "nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
        "nat_ip_id": "20c507a036c447cdb3b19468d8ea62ac",
        "nat_ip": "192.170.2.10",
        "static_nat_id": "a1b97ae4695b40b0866e86a19cb191d3",
        "state": "ACTIVE"
    },
    "zone": "kr-west1-a",
    "cpu_socket": "1",
    "total_cpu_vcore": 64,
    "cpu_core_use": true,
    "cpu_core_active": 32,
    "cpu_core_state": "SUCCESS",
    "server_model": "ThinkSystem SR650 V2",
    "cpu_unit": "vCPU"
}